/*
 * Copyright 2013 Andrea "andynaz" Agnesse
 * 
 * This file is part of "iRex DR1000 Merger".
 * 
 * "iRex DR1000 Merger" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 * 
 * "iRex DR1000 Merger" is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * "iRex DR1000 Merger".  If not, see <http://www.gnu.org/licenses/>.
 * 
 * author e-mail: andynaz@gmail.com
 * author home page: http://andynaz.altervista.org
 * program official page: http://andynaz.altervista.org/Progetti/iRexDR1000Merger.shtm
 */


/**
 * Classes to represent the documents and to manage the scribbles.
 * 
 * The PDF documents are represented by the {@link it.andynaz.irex.dr1000.document.PdfDocument}
 * class, while the note taken with the built-in notepad, are represented by the
 * {@link it.andynaz.irex.dr1000.document.Note} class. To access the database
 * files, the {@link it.andynaz.irex.dr1000.document.ScribbleMgr} class is
 * provided.
 */
package it.andynaz.irex.dr1000.document;